This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459602 - [RFE] The package needs to include new security hardened image
[RFE] The package needs to include new security hardened image
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director-images (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Mike Burns
Omri Hochman
: FutureFeature, Triaged
Depends On:
Blocks: 1355903
  Show dependency treegraph
 
Reported: 2017-06-07 10:36 EDT by Yolanda Robla
Modified: 2017-10-11 07:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1355903 None None None 2017-06-07 10:52 EDT
Red Hat Bugzilla 1381508 None None None 2017-06-07 10:38 EDT

  None (edit)
Description Yolanda Robla 2017-06-07 10:36:53 EDT
Description of problem:

In rhosp-director-images, you ship overcloud-full.qcow2 image. There is a new image type, that is the equivalent version but security hardened.
The package needs to include this new image that users could choose on demand, to deploy with extra security measures.

How reproducible:

To build the images, following command needs to be used:
 openstack overcloud image build  --config-file /usr/share/tripleo-common/image-yaml/overcloud-hardened-images.yaml --config-file /usr/share/tripleo-common/image-yaml/overcloud-hardened-images-rhel7.yaml --image-name overcloud-hardened-full
Comment 1 Yolanda Robla 2017-06-07 10:39:38 EDT
Launchpad blueprint : https://blueprints.launchpad.net/tripleo/+spec/build-whole-disk-images
Comment 2 Mike Burns 2017-06-07 10:54:25 EDT
Setting priority/severity based on parent RFE

Note You need to log in before you can comment on or make changes to this bug.